org.encog.ml.data.buffer

## Class BinaryDataLoader

- java.lang.Object
- - org.encog.ml.data.buffer.BinaryDataLoader

-     public class BinaryDataLoader
      extends Object

  This class is used, together with a CODEC, to move data to/from the Encog binary training file format. The same Encog binary files can be used on all Encog platforms. CODEC's are used to import/export with other formats, such as CSV.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryDataLoader(DataSetCODEC theCodec)` Construct a loader with the specified CODEC.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `binary2External(File binaryFile)` Convert an Encog binary file to an external form, such as CSV.
    `void` | `external2Binary(File binaryFile)` Convert an external file format, such as CSV, to the Encog binary training format.
    `DataSetCODEC` | `getCodec()`
    `StatusReportable` | `getStatus()`
    `void` | `setStatus(StatusReportable theStatus)` Set the object that status is reported to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryDataLoader

          public BinaryDataLoader(DataSetCODEC theCodec)

      Construct a loader with the specified CODEC.
      Parameters:
        `theCodec` - The codec to use.

  - ### Method Detail

    - #### external2Binary

          public void external2Binary(File binaryFile)

      Convert an external file format, such as CSV, to the Encog binary training format.
      Parameters:
        `binaryFile` - The binary file to create.

    - #### binary2External

          public void binary2External(File binaryFile)

      Convert an Encog binary file to an external form, such as CSV.
      Parameters:
        `binaryFile` - THe binary file to use.

    - #### getStatus

          public StatusReportable getStatus()

      Returns:
        The object that status is reported to.

    - #### setStatus

          public void setStatus(StatusReportable theStatus)

      Set the object that status is reported to.
      Parameters:
        `theStatus` - The object to report status to.

    - #### getCodec

          public DataSetCODEC getCodec()

      Returns:
        The CODEC that is being used.

Copyright © 2014. All Rights Reserved.